## org.h2.util
Class New

    java.lang.Object
      org.h2.util.New

    public class New

extends java.lang.Object

This class contains static methods to construct commonly used generic objects such as ArrayList.

Constructor Summary
`New()`

Method Summary

`static

`<T> java.util.ArrayList<T>`

`

`arrayList()`
Create a new ArrayList.

`static

`<T> java.util.ArrayList<T>`

`

`arrayList(java.util.Collection<T> c)`
Create a new ArrayList.

`static

`<T> java.util.ArrayList<T>`

`

`arrayList(int initialCapacity)`
Create a new ArrayList.

`static

`<K,V> java.util.HashMap<K,V>`

`

`hashMap()`
Create a new HashMap.

`static

`<K,V> java.util.HashMap<K,V>`

`

`hashMap(int initialCapacity)`
Create a new HashMap.

`static

`<T> java.util.HashSet<T>`

`

`hashSet()`
Create a new HashSet.

`static

`<T> java.util.HashSet<T>`

`

`hashSet(java.util.Collection<T> c)`
Create a new HashSet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### New

    public New()

Method Detail

### arrayList

    public static <T> java.util.ArrayList<T> arrayList()

  Create a new ArrayList.

  Type Parameters:
    `T` - the type
  Returns:
    the object

### hashMap

    public static <K,V> java.util.HashMap<K,V> hashMap()

  Create a new HashMap.

  Type Parameters:
    `K` - the key type
    `V` - the value type
  Returns:
    the object

### hashMap

    public static <K,V> java.util.HashMap<K,V> hashMap(int initialCapacity)

  Create a new HashMap.

  Type Parameters:
    `K` - the key type
    `V` - the value type
  Parameters:
    `initialCapacity` - the initial capacity
  Returns:
    the object

### hashSet

    public static <T> java.util.HashSet<T> hashSet()

  Create a new HashSet.

  Type Parameters:
    `T` - the type
  Returns:
    the object

### hashSet

    public static <T> java.util.HashSet<T> hashSet(java.util.Collection<T> c)

  Create a new HashSet.

  Type Parameters:
    `T` - the type
  Parameters:
    `c` - the collection
  Returns:
    the object

### arrayList

    public static <T> java.util.ArrayList<T> arrayList(java.util.Collection<T> c)

  Create a new ArrayList.

  Type Parameters:
    `T` - the type
  Parameters:
    `c` - the collection
  Returns:
    the object

### arrayList

    public static <T> java.util.ArrayList<T> arrayList(int initialCapacity)

  Create a new ArrayList.

  Type Parameters:
    `T` - the type
  Parameters:
    `initialCapacity` - the initial capacity
  Returns:
    the object